Name: gimpsplasher
Version: 3.0.0
Release: %mkrel 1

Summary:  Change gimp's splash
Source0:  %{name}-%{version}.tar.xz
URL:      http://www.pclinuxos.com/    
License:  GPLv3
Group:	  Graphics
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
BuildRequires: desktop-file-utils make
Requires: uplos-release
Requires:  python >= 2.7
Requires:  python-gobject
Requires:  pygtk2.0
Requires:  pygtk2.0-libglade
Requires:  gimp >= 2.10
Obsoletes: %name < %version


%description
This program allow you to change gimp's splash screen

%prep
%setup -q 

%make

%install
rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-Multimedia-Graphics;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Nov 16 2018 adrianomorselli <adrianomorselli> 3.0.0-1uplos2018
- update
